Package org.apache.sysds.common

## Enum Opcodes

- java.lang.Object
- - java.lang.Enum<Opcodes>
  - - org.apache.sysds.common.Opcodes

All Implemented Interfaces:
  `Serializable`, `Comparable<Opcodes>`

    public enum Opcodes
    extends Enum<Opcodes>

### Enum Constant Summary

Enum Constants
`ABS`
`ACOS`
`AND`
`APPEND`
`APPLYSCHEMA`
`ASIN`
`ASSERT`
`ASSIGNVAR`
`ASYNCCPOPCODE`
`ATAN`
`ATTACHFILETOVAR`
`AUTODIFF`
`AVGPOOLING`
`AVGPOOLING_BACKWARD`
`BATCH_NORM2D`
`BATCH_NORM2D_BACKWARD`
`BCUMOFFKP`
`BCUMOFFM`
`BCUMOFFMAX`
`BCUMOFFMIN`
`BCUMOFFPM`
`BIAS_ADD`
`BIAS_MULTIPLY`
`BINUAGGCHAIN`
`BITWAND`
`BITWOR`
`BITWSHIFTL`
`BITWSHIFTR`
`BITWXOR`
`BROADCAST`
`CAST_AS_BOOLEAN`
`CAST_AS_DOUBLE`
`CAST_AS_FRAME`
`CAST_AS_FRAME_VAR`
`CAST_AS_INT`
`CAST_AS_LIST`
`CAST_AS_MATRIX`
`CAST_AS_SCALAR`
`CASTDTF`
`CASTDTM`
`CBIND`
`CDF`
`CEIL`
`CHOLESKY`
`CM`
`COLNAMES`
`COMPRESS`
`CONTAINS`
`CONV2D`
`CONV2D_BACKWARD_DATA`
`CONV2D_BACKWARD_FILTER`
`CONV2D_BIAS_ADD`
`COS`
`COSH`
`COV`
`CPMM`
`CPVAR`
`CREATEVAR`
`CSVRBLK`
`CTABLE`
`CTABLEEXPAND`
`DECOMPRESS`
`DEFAULTCPOPCODE`
`DET`
`DETECTSCHEMA`
`DIAG`
`DIV`
`DROPINVALIDLENGTH`
`DROPINVALIDTYPE`
`EIGEN`
`EQUAL`
`EVAL`
`EVICT`
`EXISTS`
`EXP`
`FCALL`
`FEDINIT`
`FFT`
`FFT_LINEARIZED`
`FLOOR`
`FRAME`
`FREPLICATE`
`GALIGNEDAPPEND`
`GAPPEND`
`GREATER`
`GREATEREQUAL`
`GROUPEDAGG`
`IFELSE`
`IFFT`
`IFFT_LINEARIZED`
`INTDIV`
`INVCDF`
`INVERSE`
`ISINF`
`ISNA`
`ISNAN`
`LEFT_INDEX`
`LENGTH`
`LESS`
`LESSEQUAL`
`LIBSVMRBLK`
`LINEAGE`
`LIST`
`LOCAL`
`LOG`
`LOGNZ`
`LOWERTRI`
`LSTM`
`LSTM_BACKWARD`
`LU`
`MAP`
`MAPAND`
`MAPBITWAND`
`MAPBITWOR`
`MAPBITWSHIFTL`
`MAPBITWSHIFTR`
`MAPBITWXOR`
`MAPDIV`
`MAPDROPINVALIDLENGTH`
`MAPEQ`
`MAPGE`
`MAPGROUPEDAGG`
`MAPGT`
`MAPINTDIV`
`MAPLE`
`MAPLEFTINDEX`
`MAPLT`
`MAPMAX`
`MAPMIN`
`MAPMINUS`
`MAPMINUS1_MULT`
`MAPMINUSMULT`
`MAPMM`
`MAPMMCHAIN`
`MAPMOD`
`MAPMULT`
`MAPNEQ`
`MAPOR`
`MAPPEND`
`MAPPLUS`
`MAPPM`
`MAPPOW`
`MAPXOR`
`MAX`
`MAXPOOLING`
`MAXPOOLING_BACKWARD`
`MIN`
`MINUS`
`MINUS_NZ`
`MINUS1_MULT`
`MINUSMULT`
`MMCHAIN`
`MMULT`
`MODULUS`
`MULT`
`MULT2`
`MVVAR`
`NCOL`
`NM`
`NMAX`
`NMIN`
`NOT`
`NOTEQUAL`
`NP`
`NROW`
`NVLIST`
`OR`
`PARAMSERV`
`PARTITION`
`PLOGP`
`PLUS`
`PM`
`PMAPMM`
`PMM`
`POW`
`POW2`
`PREFETCH`
`PRINT`
`PRINTF`
`QPICK`
`QR`
`QSORT`
`RANDOM`
`RAPPEND`
`RBIND`
`RBLK`
`RCM`
`READ`
`RELU_BACKWARD`
`RELU_MAXPOOLING`
`RELU_MAXPOOLING_BACKWARD`
`REMOVE`
`REPLACE`
`RESHAPE`
`REV`
`REXPAND`
`RIGHT_INDEX`
`RMEMPTY`
`RMFILEVAR`
`RMM`
`RMVAR`
`ROLL`
`ROUND`
`SAMPLE`
`SEQUENCE`
`SIGMOID`
`SIGN`
`SIN`
`SINH`
`SOLVE`
`SORT`
`SPOOF`
`SPROP`
`SQL`
`SQRT`
`SQRT_MATRIX_JAVA`
`STFT`
`STOP`
`STRINGINIT`
`SVD`
`TACKPM`
`TAKPM`
`TAN`
`TANH`
`TIME`
`TOKENIZE`
`TOSTRING`
`TRANSFORMAPPLY`
`TRANSFORMCOLMAP`
`TRANSFORMDECODE`
`TRANSFORMENCODE`
`TRANSFORMMETA`
`TRANSPOSE`
`TRIGREMOTE`
`TSMM`
`TSMM2`
`TYPEOF`
`UACD`
`UACDAP`
`UACDAPC`
`UACDAPR`
`UACDC`
`UACDR`
`UACKP`
`UACM`
`UACMAX`
`UACMEAN`
`UACMIN`
`UACP`
`UACSQKP`
`UACVAR`
`UAGGOUTERCHAIN`
`UAKP`
`UAKTRACE`
`UAM`
`UAMAX`
`UAMEAN`
`UAMIN`
`UAP`
`UARIMAX`
`UARIMIN`
`UARKP`
`UARM`
`UARMAX`
`UARMEAN`
`UARMIN`
`UARP`
`UARSQKP`
`UARVAR`
`UASQKP`
`UATRACE`
`UAVAR`
`UCUMACKP`
`UCUMACM`
`UCUMACMAX`
`UCUMACMIN`
`UCUMACPM`
`UCUMKP`
`UCUMKPM`
`UCUMM`
`UCUMMAX`
`UCUMMIN`
`UNIQUE`
`UNIQUEC`
`UNIQUER`
`UPPERTRI`
`VALUESWAP`
`WCEMM`
`WDIVMM`
`WEIGHTEDCROSSENTROPY`
`WEIGHTEDCROSSENTROPYR`
`WEIGHTEDDIVMM`
`WEIGHTEDDIVMMR`
`WEIGHTEDSIGMOID`
`WEIGHTEDSIGMOIDR`
`WEIGHTEDSQUAREDLOSS`
`WEIGHTEDSQUAREDLOSSR`
`WEIGHTEDUNARYMM`
`WEIGHTEDUNARYMMR`
`WRITE`
`WSIGMOID`
`WSLOSS`
`WUMM`
`XOR`
`ZIPMM`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`InstructionType` `getFedType()`
`InstructionType` `getSpType()`
`InstructionType` `getType()`
`static InstructionType` `getTypeByOpcode​(String opcode, Types.ExecType type)`
`String` `toString()`
`static Opcodes` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Opcodes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MMULT

    public static final Opcodes MMULT

#### TAKPM

    public static final Opcodes TAKPM

#### TACKPM

    public static final Opcodes TACKPM

#### UAKP

    public static final Opcodes UAKP

#### UARKP

    public static final Opcodes UARKP

#### UACKP

    public static final Opcodes UACKP

#### UASQKP

    public static final Opcodes UASQKP

#### UARSQKP

    public static final Opcodes UARSQKP

#### UACSQKP

    public static final Opcodes UACSQKP

#### UAMEAN

    public static final Opcodes UAMEAN

#### UARMEAN

    public static final Opcodes UARMEAN

#### UACMEAN

    public static final Opcodes UACMEAN

#### UAVAR

    public static final Opcodes UAVAR

#### UARVAR

    public static final Opcodes UARVAR

#### UACVAR

    public static final Opcodes UACVAR

#### UAMAX

    public static final Opcodes UAMAX

#### UARMAX

    public static final Opcodes UARMAX

#### UARIMAX

    public static final Opcodes UARIMAX

#### UACMAX

    public static final Opcodes UACMAX

#### UAMIN

    public static final Opcodes UAMIN

#### UARMIN

    public static final Opcodes UARMIN

#### UARIMIN

    public static final Opcodes UARIMIN

#### UACMIN

    public static final Opcodes UACMIN

#### UAP

    public static final Opcodes UAP

#### UARP

    public static final Opcodes UARP

#### UACP

    public static final Opcodes UACP

#### UAM

    public static final Opcodes UAM

#### UARM

    public static final Opcodes UARM

#### UACM

    public static final Opcodes UACM

#### UATRACE

    public static final Opcodes UATRACE

#### UAKTRACE

    public static final Opcodes UAKTRACE

#### NROW

    public static final Opcodes NROW

#### NCOL

    public static final Opcodes NCOL

#### LENGTH

    public static final Opcodes LENGTH

#### EXISTS

    public static final Opcodes EXISTS

#### LINEAGE

    public static final Opcodes LINEAGE

#### UACD

    public static final Opcodes UACD

#### UACDR

    public static final Opcodes UACDR

#### UACDC

    public static final Opcodes UACDC

#### UACDAP

    public static final Opcodes UACDAP

#### UACDAPR

    public static final Opcodes UACDAPR

#### UACDAPC

    public static final Opcodes UACDAPC

#### UNIQUE

    public static final Opcodes UNIQUE

#### UNIQUER

    public static final Opcodes UNIQUER

#### UNIQUEC

    public static final Opcodes UNIQUEC

#### UAGGOUTERCHAIN

    public static final Opcodes UAGGOUTERCHAIN

#### PLUS

    public static final Opcodes PLUS

#### MINUS

    public static final Opcodes MINUS

#### MULT

    public static final Opcodes MULT

#### DIV

    public static final Opcodes DIV

#### MODULUS

    public static final Opcodes MODULUS

#### INTDIV

    public static final Opcodes INTDIV

#### POW

    public static final Opcodes POW

#### MINUS1_MULT

    public static final Opcodes MINUS1_MULT

#### POW2

    public static final Opcodes POW2

#### MULT2

    public static final Opcodes MULT2

#### MINUS_NZ

    public static final Opcodes MINUS_NZ

#### AND

    public static final Opcodes AND

#### OR

    public static final Opcodes OR

#### XOR

    public static final Opcodes XOR

#### BITWAND

    public static final Opcodes BITWAND

#### BITWOR

    public static final Opcodes BITWOR

#### BITWXOR

    public static final Opcodes BITWXOR

#### BITWSHIFTL

    public static final Opcodes BITWSHIFTL

#### BITWSHIFTR

    public static final Opcodes BITWSHIFTR

#### NOT

    public static final Opcodes NOT

#### EQUAL

    public static final Opcodes EQUAL

#### NOTEQUAL

    public static final Opcodes NOTEQUAL

#### LESS

    public static final Opcodes LESS

#### GREATER

    public static final Opcodes GREATER

#### LESSEQUAL

    public static final Opcodes LESSEQUAL

#### GREATEREQUAL

    public static final Opcodes GREATEREQUAL

#### LOG

    public static final Opcodes LOG

#### LOGNZ

    public static final Opcodes LOGNZ

#### SOLVE

    public static final Opcodes SOLVE

#### MAX

    public static final Opcodes MAX

#### MIN

    public static final Opcodes MIN

#### DROPINVALIDTYPE

    public static final Opcodes DROPINVALIDTYPE

#### DROPINVALIDLENGTH

    public static final Opcodes DROPINVALIDLENGTH

#### FREPLICATE

    public static final Opcodes FREPLICATE

#### VALUESWAP

    public static final Opcodes VALUESWAP

#### APPLYSCHEMA

    public static final Opcodes APPLYSCHEMA

#### MAP

    public static final Opcodes MAP

#### NMAX

    public static final Opcodes NMAX

#### NMIN

    public static final Opcodes NMIN

#### NP

    public static final Opcodes NP

#### NM

    public static final Opcodes NM

#### EXP

    public static final Opcodes EXP

#### ABS

    public static final Opcodes ABS

#### SIN

    public static final Opcodes SIN

#### COS

    public static final Opcodes COS

#### TAN

    public static final Opcodes TAN

#### SINH

    public static final Opcodes SINH

#### COSH

    public static final Opcodes COSH

#### TANH

    public static final Opcodes TANH

#### ASIN

    public static final Opcodes ASIN

#### ACOS

    public static final Opcodes ACOS

#### ATAN

    public static final Opcodes ATAN

#### SIGN

    public static final Opcodes SIGN

#### SQRT

    public static final Opcodes SQRT

#### SQRT_MATRIX_JAVA

    public static final Opcodes SQRT_MATRIX_JAVA

#### PLOGP

    public static final Opcodes PLOGP

#### PRINT

    public static final Opcodes PRINT

#### ASSERT

    public static final Opcodes ASSERT

#### ROUND

    public static final Opcodes ROUND

#### CEIL

    public static final Opcodes CEIL

#### FLOOR

    public static final Opcodes FLOOR

#### UCUMKP

    public static final Opcodes UCUMKP

#### UCUMM

    public static final Opcodes UCUMM

#### UCUMKPM

    public static final Opcodes UCUMKPM

#### UCUMMIN

    public static final Opcodes UCUMMIN

#### UCUMMAX

    public static final Opcodes UCUMMAX

#### STOP

    public static final Opcodes STOP

#### INVERSE

    public static final Opcodes INVERSE

#### CHOLESKY

    public static final Opcodes CHOLESKY

#### DET

    public static final Opcodes DET

#### SPROP

    public static final Opcodes SPROP

#### SIGMOID

    public static final Opcodes SIGMOID

#### TYPEOF

    public static final Opcodes TYPEOF

#### DETECTSCHEMA

    public static final Opcodes DETECTSCHEMA

#### COLNAMES

    public static final Opcodes COLNAMES

#### ISNA

    public static final Opcodes ISNA

#### ISNAN

    public static final Opcodes ISNAN

#### ISINF

    public static final Opcodes ISINF

#### PRINTF

    public static final Opcodes PRINTF

#### CBIND

    public static final Opcodes CBIND

#### RBIND

    public static final Opcodes RBIND

#### EVAL

    public static final Opcodes EVAL

#### LIST

    public static final Opcodes LIST

#### AUTODIFF

    public static final Opcodes AUTODIFF

#### CONTAINS

    public static final Opcodes CONTAINS

#### PARAMSERV

    public static final Opcodes PARAMSERV

#### NVLIST

    public static final Opcodes NVLIST

#### CDF

    public static final Opcodes CDF

#### INVCDF

    public static final Opcodes INVCDF

#### GROUPEDAGG

    public static final Opcodes GROUPEDAGG

#### RMEMPTY

    public static final Opcodes RMEMPTY

#### REPLACE

    public static final Opcodes REPLACE

#### LOWERTRI

    public static final Opcodes LOWERTRI

#### UPPERTRI

    public static final Opcodes UPPERTRI

#### REXPAND

    public static final Opcodes REXPAND

#### TOSTRING

    public static final Opcodes TOSTRING

#### TOKENIZE

    public static final Opcodes TOKENIZE

#### TRANSFORMAPPLY

    public static final Opcodes TRANSFORMAPPLY

#### TRANSFORMDECODE

    public static final Opcodes TRANSFORMDECODE

#### TRANSFORMCOLMAP

    public static final Opcodes TRANSFORMCOLMAP

#### TRANSFORMMETA

    public static final Opcodes TRANSFORMMETA

#### TRANSFORMENCODE

    public static final Opcodes TRANSFORMENCODE

#### PM

    public static final Opcodes PM

#### MINUSMULT

    public static final Opcodes MINUSMULT

#### IFELSE

    public static final Opcodes IFELSE

#### ASSIGNVAR

    public static final Opcodes ASSIGNVAR

#### CPVAR

    public static final Opcodes CPVAR

#### MVVAR

    public static final Opcodes MVVAR

#### RMVAR

    public static final Opcodes RMVAR

#### RMFILEVAR

    public static final Opcodes RMFILEVAR

#### CAST_AS_SCALAR

    public static final Opcodes CAST_AS_SCALAR

#### CAST_AS_MATRIX

    public static final Opcodes CAST_AS_MATRIX

#### CAST_AS_FRAME_VAR

    public static final Opcodes CAST_AS_FRAME_VAR

#### CAST_AS_FRAME

    public static final Opcodes CAST_AS_FRAME

#### CAST_AS_LIST

    public static final Opcodes CAST_AS_LIST

#### CAST_AS_DOUBLE

    public static final Opcodes CAST_AS_DOUBLE

#### CAST_AS_INT

    public static final Opcodes CAST_AS_INT

#### CAST_AS_BOOLEAN

    public static final Opcodes CAST_AS_BOOLEAN

#### ATTACHFILETOVAR

    public static final Opcodes ATTACHFILETOVAR

#### READ

    public static final Opcodes READ

#### WRITE

    public static final Opcodes WRITE

#### CREATEVAR

    public static final Opcodes CREATEVAR

#### TRANSPOSE

    public static final Opcodes TRANSPOSE

#### REV

    public static final Opcodes REV

#### ROLL

    public static final Opcodes ROLL

#### DIAG

    public static final Opcodes DIAG

#### RESHAPE

    public static final Opcodes RESHAPE

#### SORT

    public static final Opcodes SORT

#### RELU_BACKWARD

    public static final Opcodes RELU_BACKWARD

#### RELU_MAXPOOLING

    public static final Opcodes RELU_MAXPOOLING

#### RELU_MAXPOOLING_BACKWARD

    public static final Opcodes RELU_MAXPOOLING_BACKWARD

#### MAXPOOLING

    public static final Opcodes MAXPOOLING

#### MAXPOOLING_BACKWARD

    public static final Opcodes MAXPOOLING_BACKWARD

#### AVGPOOLING

    public static final Opcodes AVGPOOLING

#### AVGPOOLING_BACKWARD

    public static final Opcodes AVGPOOLING_BACKWARD

#### CONV2D

    public static final Opcodes CONV2D

#### CONV2D_BIAS_ADD

    public static final Opcodes CONV2D_BIAS_ADD

#### CONV2D_BACKWARD_FILTER

    public static final Opcodes CONV2D_BACKWARD_FILTER

#### CONV2D_BACKWARD_DATA

    public static final Opcodes CONV2D_BACKWARD_DATA

#### BIAS_ADD

    public static final Opcodes BIAS_ADD

#### BIAS_MULTIPLY

    public static final Opcodes BIAS_MULTIPLY

#### BATCH_NORM2D

    public static final Opcodes BATCH_NORM2D

#### BATCH_NORM2D_BACKWARD

    public static final Opcodes BATCH_NORM2D_BACKWARD

#### LSTM

    public static final Opcodes LSTM

#### LSTM_BACKWARD

    public static final Opcodes LSTM_BACKWARD

#### WSLOSS

    public static final Opcodes WSLOSS

#### WSIGMOID

    public static final Opcodes WSIGMOID

#### WDIVMM

    public static final Opcodes WDIVMM

#### WCEMM

    public static final Opcodes WCEMM

#### WUMM

    public static final Opcodes WUMM

#### FCALL

    public static final Opcodes FCALL

#### APPEND

    public static final Opcodes APPEND

#### REMOVE

    public static final Opcodes REMOVE

#### RANDOM

    public static final Opcodes RANDOM

#### SEQUENCE

    public static final Opcodes SEQUENCE

#### STRINGINIT

    public static final Opcodes STRINGINIT

#### SAMPLE

    public static final Opcodes SAMPLE

#### TIME

    public static final Opcodes TIME

#### FRAME

    public static final Opcodes FRAME

#### CTABLE

    public static final Opcodes CTABLE

#### CTABLEEXPAND

    public static final Opcodes CTABLEEXPAND

#### CM

    public static final Opcodes CM

#### COV

    public static final Opcodes COV

#### QSORT

    public static final Opcodes QSORT

#### QPICK

    public static final Opcodes QPICK

#### RIGHT_INDEX

    public static final Opcodes RIGHT_INDEX

#### LEFT_INDEX

    public static final Opcodes LEFT_INDEX

#### TSMM

    public static final Opcodes TSMM

#### PMM

    public static final Opcodes PMM

#### MMCHAIN

    public static final Opcodes MMCHAIN

#### QR

    public static final Opcodes QR

#### LU

    public static final Opcodes LU

#### EIGEN

    public static final Opcodes EIGEN

#### FFT

    public static final Opcodes FFT

#### IFFT

    public static final Opcodes IFFT

#### FFT_LINEARIZED

    public static final Opcodes FFT_LINEARIZED

#### IFFT_LINEARIZED

    public static final Opcodes IFFT_LINEARIZED

#### STFT

    public static final Opcodes STFT

#### SVD

    public static final Opcodes SVD

#### RCM

    public static final Opcodes RCM

#### PARTITION

    public static final Opcodes PARTITION

#### COMPRESS

    public static final Opcodes COMPRESS

#### DECOMPRESS

    public static final Opcodes DECOMPRESS

#### SPOOF

    public static final Opcodes SPOOF

#### PREFETCH

    public static final Opcodes PREFETCH

#### EVICT

    public static final Opcodes EVICT

#### BROADCAST

    public static final Opcodes BROADCAST

#### TRIGREMOTE

    public static final Opcodes TRIGREMOTE

#### LOCAL

    public static final Opcodes LOCAL

#### SQL

    public static final Opcodes SQL

#### MAPMM

    public static final Opcodes MAPMM

#### MAPMMCHAIN

    public static final Opcodes MAPMMCHAIN

#### TSMM2

    public static final Opcodes TSMM2

#### CPMM

    public static final Opcodes CPMM

#### RMM

    public static final Opcodes RMM

#### ZIPMM

    public static final Opcodes ZIPMM

#### PMAPMM

    public static final Opcodes PMAPMM

#### MAPLEFTINDEX

    public static final Opcodes MAPLEFTINDEX

#### MAPPLUS

    public static final Opcodes MAPPLUS

#### MAPMINUS

    public static final Opcodes MAPMINUS

#### MAPMULT

    public static final Opcodes MAPMULT

#### MAPDIV

    public static final Opcodes MAPDIV

#### MAPMOD

    public static final Opcodes MAPMOD

#### MAPINTDIV

    public static final Opcodes MAPINTDIV

#### MAPMINUS1_MULT

    public static final Opcodes MAPMINUS1_MULT

#### MAPPOW

    public static final Opcodes MAPPOW

#### MAPPM

    public static final Opcodes MAPPM

#### MAPMINUSMULT

    public static final Opcodes MAPMINUSMULT

#### MAPDROPINVALIDLENGTH

    public static final Opcodes MAPDROPINVALIDLENGTH

#### MAPGT

    public static final Opcodes MAPGT

#### MAPGE

    public static final Opcodes MAPGE

#### MAPLT

    public static final Opcodes MAPLT

#### MAPLE

    public static final Opcodes MAPLE

#### MAPEQ

    public static final Opcodes MAPEQ

#### MAPNEQ

    public static final Opcodes MAPNEQ

#### MAPAND

    public static final Opcodes MAPAND

#### MAPOR

    public static final Opcodes MAPOR

#### MAPXOR

    public static final Opcodes MAPXOR

#### MAPBITWAND

    public static final Opcodes MAPBITWAND

#### MAPBITWOR

    public static final Opcodes MAPBITWOR

#### MAPBITWXOR

    public static final Opcodes MAPBITWXOR

#### MAPBITWSHIFTL

    public static final Opcodes MAPBITWSHIFTL

#### MAPBITWSHIFTR

    public static final Opcodes MAPBITWSHIFTR

#### MAPMAX

    public static final Opcodes MAPMAX

#### MAPMIN

    public static final Opcodes MAPMIN

#### RBLK

    public static final Opcodes RBLK

#### CSVRBLK

    public static final Opcodes CSVRBLK

#### LIBSVMRBLK

    public static final Opcodes LIBSVMRBLK

#### DEFAULTCPOPCODE

    public static final Opcodes DEFAULTCPOPCODE

#### ASYNCCPOPCODE

    public static final Opcodes ASYNCCPOPCODE

#### MAPGROUPEDAGG

    public static final Opcodes MAPGROUPEDAGG

#### MAPPEND

    public static final Opcodes MAPPEND

#### RAPPEND

    public static final Opcodes RAPPEND

#### GAPPEND

    public static final Opcodes GAPPEND

#### GALIGNEDAPPEND

    public static final Opcodes GALIGNEDAPPEND

#### WEIGHTEDSQUAREDLOSS

    public static final Opcodes WEIGHTEDSQUAREDLOSS

#### WEIGHTEDSQUAREDLOSSR

    public static final Opcodes WEIGHTEDSQUAREDLOSSR

#### WEIGHTEDSIGMOID

    public static final Opcodes WEIGHTEDSIGMOID

#### WEIGHTEDSIGMOIDR

    public static final Opcodes WEIGHTEDSIGMOIDR

#### WEIGHTEDDIVMM

    public static final Opcodes WEIGHTEDDIVMM

#### WEIGHTEDDIVMMR

    public static final Opcodes WEIGHTEDDIVMMR

#### WEIGHTEDCROSSENTROPY

    public static final Opcodes WEIGHTEDCROSSENTROPY

#### WEIGHTEDCROSSENTROPYR

    public static final Opcodes WEIGHTEDCROSSENTROPYR

#### WEIGHTEDUNARYMM

    public static final Opcodes WEIGHTEDUNARYMM

#### WEIGHTEDUNARYMMR

    public static final Opcodes WEIGHTEDUNARYMMR

#### UCUMACKP

    public static final Opcodes UCUMACKP

#### UCUMACM

    public static final Opcodes UCUMACM

#### UCUMACPM

    public static final Opcodes UCUMACPM

#### UCUMACMIN

    public static final Opcodes UCUMACMIN

#### UCUMACMAX

    public static final Opcodes UCUMACMAX

#### BCUMOFFKP

    public static final Opcodes BCUMOFFKP

#### BCUMOFFM

    public static final Opcodes BCUMOFFM

#### BCUMOFFPM

    public static final Opcodes BCUMOFFPM

#### BCUMOFFMIN

    public static final Opcodes BCUMOFFMIN

#### BCUMOFFMAX

    public static final Opcodes BCUMOFFMAX

#### BINUAGGCHAIN

    public static final Opcodes BINUAGGCHAIN

#### CASTDTM

    public static final Opcodes CASTDTM

#### CASTDTF

    public static final Opcodes CASTDTF

#### FEDINIT

    public static final Opcodes FEDINIT

### Method Detail

#### values

    public static Opcodes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Opcodes c : Opcodes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Opcodes valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Opcodes>`

#### getType

    public InstructionType getType()

#### getSpType

    public InstructionType getSpType()

#### getFedType

    public InstructionType getFedType()

#### getTypeByOpcode

    public static InstructionType getTypeByOpcode​(String opcode,
                                                  Types.ExecType type)